MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002596ardourbugspublic2009-03-22 13:192010-04-24 03:31
Reportersebos69 
Assigned Tocth103 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN/2.0-ongoing 
Target VersionFixed in VersionSVN/2.0-ongoing 
Summary0002596: build fails on ubuntu 9.04
DescriptionHi,

I'm trying to build Ardour 2.0 svn with upcoming ubuntu 9.04, and I run into this error message (I included only the last build line:

"w i n e g c c -o libs/fst/fst.o -c -O3 -fomit-frame-pointer -ffast-math -fstrength-reduce -pipe -DARCH_X86 -mmmx -march=i686 -msse -mfpmath=sse -DUSE_XMMINTRIN -m32 -DBUILD_SSE_OPTIMIZATIONS -Wall -DHAVE_LIBLO -Ilibs -DENABLE_NLS -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Ilibs/fst libs/fst/fst.c
w: invalid option -- 'c'
usage: w -hlsufV [user]
    -h skip header
    -l long listing (default)
    -s short listing
    -u ignore uid of processes
    -f toggle FROM field (default on)
    -o old-style output
    -V display version
scons: *** [libs/fst/fst.o] Error 1
scons: building terminated because of errors."


As I understand it, there is some string issues (maybe due to a python upgrade? Current version is 2.6.1+) and in the script, "w i n e g c c" probably should look more like "winegcc".

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006086)
cth103 (administrator)
2009-06-11 05:04

Hi, is this still a problem?
(0006127)
sebos69 (reporter)
2009-06-15 11:22

Hi!

well building SVN version 5195 (today) fails because of an other issue:

scons: `libs/midi++2/libmidi++.so' is up to date.
g++ -o libs/ardour/sndfileimportable.os -c -Woverloaded-virtual -DGTK_NEW_TOOLTIP_API -DPACKAGE=\"libardour2\" -DLIBSIGC_DISABLE_DEPRECATED -DDATA_DIR=\"/usr/local/share\" -DMODULE_DIR=\"/usr/local/lib\" -DVAMP_DIR=\"/usr/local/lib/ardour2/vamp\" -DCONFIG_DIR=\"/usr/local/etc\" -DLOCALEDIR=\"/usr/local/share/locale\" -DHAVE_JACK_CLIENT_OPEN -DHAVE_JACK_RECOMPUTE_LATENCIES -DHAVE_JACK_VIDEO_SUPPORT -DHAVE_JACK_PORT_ENSURE_MONITOR -DHAVE_WORDEXP -DHAVE_SYS_VFS_H -O3 -fomit-frame-pointer -ffast-math -fstrength-reduce -pipe -DARCH_X86 -mmmx -march=i686 -msse -mfpmath=sse -DUSE_XMMINTRIN -m32 -DBUILD_SSE_OPTIMIZATIONS -Wall -DHAVE_LIBLO -Ilibs -DENABLE_NLS -DVST_SUPPORT -D_REENTRANT -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -Ilibs -pthread -DUSE_RUBBERBAND -fPIC -Ilibs/pbd -I/usr/include/glib-2.0 -Ilibs/surfaces/control_protocol -Ilibs/libsndfile -Ilibs/midi++2 -Ilibs/vamp-sdk -Ilibs/sigc++2 -Ilibs/glibmm2 -I/usr/lib/glib-2.0/include -Ilibs/ardour -Ilibs/fst -Ilibs/rubberband -I/usr/include/libxml2 -Ilibs/libsndfile/src libs/ardour/sndfileimportable.cc
libs/ardour/sndfileimportable.cc: In constructor ‘ARDOUR::SndFileImportableSource::SndFileImportableSource(const std::string&)’:
libs/ardour/sndfileimportable.cc:10: erreur: ‘memset’ was not declared in this scope
scons: *** [libs/ardour/sndfileimportable.os] Error 1
scons: building terminated because of errors.
(0006128)
sebos69 (reporter)
2009-06-15 11:23

On a side note, I'm not currently using the VST version of ardour (I needed stability for some "real" recording...). It seems that Ardour+fst is much more stable. But I can continue build-testing :)
(0006130)
cth103 (administrator)
2009-06-15 16:48

Fixed by sampo in SVN.

- Issue History
Date Modified Username Field Change
2009-03-22 13:19 sebos69 New Issue
2009-06-11 05:04 cth103 Note Added: 0006086
2009-06-11 05:04 cth103 Status new => feedback
2009-06-15 11:22 sebos69 Note Added: 0006127
2009-06-15 11:23 sebos69 Note Added: 0006128
2009-06-15 16:48 cth103 cost => 0.00
2009-06-15 16:48 cth103 Note Added: 0006130
2009-06-15 16:48 cth103 Status feedback => resolved
2009-06-15 16:48 cth103 Fixed in Version => SVN/2.0-ongoing
2009-06-15 16:48 cth103 Resolution open => fixed
2009-06-15 16:48 cth103 Assigned To => cth103
2010-04-24 03:28 cth103 Category bugs => bugs2
2010-04-24 03:31 cth103 Category bugs2 => bugs


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker